# FILE: mypy.ini
[mypy]
python_version = 3.12
strict = True
warn_unused_ignores = True
warn_redundant_casts = True
warn_unreachable = True
disallow_untyped_defs = True
disallow_any_generics = True
no_implicit_optional = True
check_untyped_defs = True
show_error_codes = True
pretty = True
disable_error_code = attr-defined
disable_error_code = disallow-untyped-calls
disable_error_code = import-untyped


[mypy-tests.*]
# tests may use fixtures without full annotations, but keep strict overall
disallow_untyped_defs = False

[mypy-minio.*]
ignore_missing_imports = True

[mypy-pytesseract.*]
follow_untyped_imports = True
ignore_missing_imports = True
